repost: RedHat kernel 2.4.20 on PE 1750

Rainer Traut rainer.traut at epost.de
Thu Apr 1 00:54:01 CST 2004


Hi,
back in the days when we used FW-1 (4.1, Redhat 7.0 and 2.2x kernel)
those kernel modules from checkpoint loaded in every kernel I tried.
We used then a newer stock 2.2x kernel and it worked rock solid.

As you have now gone away from using the standard kernel I'd try to go
with something newer perhaps?
Either a newer stock kernel or use the latest Redhat 9 kernel and get 
rid of the nptl patches.
In 2.4.25 there is the megaraid2 driver already included.

Rainer


Tom Brown wrote:
> Thats the thing they won't support anyhting newer than 2.4.20 on 7.3 when it
> comes to RedHat
> 
> Anyway i finally resolved it, the stock Megaraid drivers in the 2.4.20
> kernel are no good for PERC4 - You have to goto lsi.com and grab some newer
> drivers, patch the source and then recompile the kernel.
> 
> Now it seems to work fine - Bit of a pain finiding it out and figuring it
> out, a breeze to actually do in the end though.
> 
> Thanks for all your help only 2 days wasted!!
> 
> Tom
> 
> 
>>None of the Checkpoint versions support anything higher than RedHat 7.3.
>>
>>Makes me wonder...  Run a firewall on a unsupported OS...
>>
>>I think CheckPoint has dropped the product for RedHat without specifically
>>saying it.
>>
>>Marco
>>
>>
>>>-----Original Message-----
>>>From: Jim Carroll [mailto:jcarroll at totality.com]
>>>Sent: Wednesday, March 31, 2004 1:43 PM
>>>To: 'Tom Brown'; Linux-PowerEdge at dell.com
>>>Subject: RE: repost: RedHat kernel 2.4.20 on PE 1750
>>>
>>>
>>>This may not be too helpful, but I'll give it a shot.
>>>
>>>We're running RHES 3.0 on several 1750's, configured to use
>>>the PERC with mirroring.  Works like a charm.  (No such luck
>>>with ES 2.1.)
>>>
>>>As I understand it, before I joined the project these hosts
>>>were running with RH 8.0, also using the PERC with mirroring.
>>>
>>>Perhaps you could try to just install RH 8.0...?
>>>
>>>jc
>>>
>>>
>>>>-----Original Message-----
>>>>From: Tom Brown [mailto:tom.brown at goodtechnology.com]
>>>>Sent: Wednesday, March 31, 2004 2:40 AM
>>>>To: Linux-PowerEdge at dell.com
>>>>Subject: repost: RedHat kernel 2.4.20 on PE 1750
>>>>
>>>>
>>>>Sorry for the repost but not sure if this made the list first
>>>>time.....
>>>>
>>>>Hi,
>>>>
>>>> I need to install 2.4.20 on a PE 1750 as this is the latest kernel
>>>>checkpoint support and i am installing this box as our new firewall.
>>>>
>>>> I have managed to install 7.3 using the linux dd method and
>>>>the driver
>>>>from dell however how can i get the PERC 4 driver into the
>>>>2.4.20 source
>>>>as at the moment the Megaraid driver that ships with the
>>>
>>>2.4.20 kernel
>>>
>>>>source does not seem to like the PERC 4 card as on a reboot i
>>>>get kernel
>>>>panic.
>>>>
>>>> Thanks for any tips but i have been searching for better
>>>>part of a day and
>>>>not getting anywhere,
>>>>
>>>> thanks
>>>>
>>>> Tom




More information about the Linux-PowerEdge mailing list